<?php
/**
 * Any helper / utility methods go into this file
 */

// Admin notices
class CUK_Admin_Message {
    private $css_class;
    private $message;
    function __construct($css_class, $message) {
        $this->css_class = $css_class;

        switch($this->css_class) {
            case "success":
                $this->message = "<span class='dashicons dashicons-yes-alt'></span> ";
                break;
            case "info":
                $this->message = "<span class='dashicons dashicons-info'></span> ";
                break;
            case "error":
                $this->message = "<span class='dashicons dashicons-warning'></span> ";
                break;
            default:
            $this->message = "<span class='dashicons dashicons-info'></span> ";
                break;
        }
        
        $this->message .= $message;
        
        add_action("admin_notices", array($this, "render_msg"));
    }

    function render_msg(){
        printf("<div class='notice notice-%s'><p>%s</p></div>", $this->css_class, $this->message);
    }
}