<div class="wrap">
        <h1>conveyUK</h1>
        <p>A WordPress app to allow Solicitors, Conveyancers, Estate Agents or Mortgage Brokers to get an estimate of costs for conveyancing which includes legal fees & expenses, Stamp Duty Land Tax (SDLT), Land Registry registration fees and Land Registry search fees.</p>
        
        <hr>
        
        <h2>Usage</h2>
        <strong>You can add this calculator to any page simply by adding this shortode <i>[conveyuk-calculator]</i></strong>

        <hr>

        <h2>EXPENSES/DISBURSEMENTS</h2>
        <strong>In this section enter the cost of each expense/disbursement. Enter 0.00 if your business does not charge for that particular expense. It will appear on the estimate with a zero value.</strong>
        <form action="?page=conveyuk-calculator" method="POST">
            <div class="expenses-table"><!-- Holds all the tables inside -->
                <div class="expense-table">
                    <h3>Freehold Sale estimate</h3>
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <th scope="row"><label for="cuk-freehold-sale-title-and-plan-copy">Official Copy of title and plan</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-freehold-sale-title-and-plan-copy" id="cuk-freehold-sale-title-and-plan-copy" value="<?php echo $cuk_expensefees_options["cuk_freehold_sale_title_and_plan_copy"] ? $cuk_expensefees_options["cuk_freehold_sale_title_and_plan_copy"] : "0"; ?>"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-freehold-sale-documents-copy">Official Copy Documents (if necessary)</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-freehold-sale-documents-copy" id="cuk-freehold-sale-documents-copy" value="<?php echo $cuk_expensefees_options["cuk_freehold_sale_documents_copy"] ? $cuk_expensefees_options["cuk_freehold_sale_documents_copy"] : "0"; ?>"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="expense-table">
                    <h3>Leasehold Sale estimate</h3>
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <th scope="row"><label for="cuk-leasehold-sale-title-and-plan-copy">Official Copy of title and plan (leasehold)</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" class="cuk-text--right" name="cuk-leasehold-sale-title-and-plan-copy" id="cuk-leasehold-sale-title-and-plan-copy" value="<?php echo $cuk_expensefees_options["cuk_leasehold_sale_title_and_plan_copy"] ? $cuk_expensefees_options["cuk_leasehold_sale_title_and_plan_copy"] : "0"; ?>"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-leasehold-sale-freehold-title-and-plan-copy">Official Copy of title and plan (freehold) </label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" class="cuk-text--right" name="cuk-leasehold-sale-freehold-title-and-plan-copy" id="cuk-leasehold-sale-freehold-title-and-plan-copy" value="<?php echo $cuk_expensefees_options["cuk_leasehold_sale_freehold_title_and_plan_copy"] ? $cuk_expensefees_options["cuk_leasehold_sale_freehold_title_and_plan_copy"] : "0"; ?>"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-leasehold-sale-documents-copy">Official Copy Documents</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" class="cuk-text--right" name="cuk-leasehold-sale-documents-copy" id="cuk-leasehold-sale-documents-copy" value="<?php echo $cuk_expensefees_options["cuk_leasehold_sale_documents_copy"] ? $cuk_expensefees_options["cuk_leasehold_sale_documents_copy"] : "0"; ?>"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-leasehold-sale-managing-agents-fees">Replies to Enquiries - Managing Agent's Fees (inc. VAT) (approx.)</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" class="cuk-text--right" name="cuk-leasehold-sale-managing-agents-fees" id="cuk-leasehold-sale-managing-agents-fees" value="<?php echo $cuk_expensefees_options["cuk_leasehold_sale_managing_agents_fees"] ? $cuk_expensefees_options["cuk_leasehold_sale_managing_agents_fees"] : "0"; ?>"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="expense-table">
                    <h3>Freehold purchase estimate</h3>
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <th scope="row"><label for="cuk-freehold-purchase-searches-and-vat">Searches and VAT (approx)*</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-freehold-purchase-searches-and-vat" id="cuk-freehold-purchase-searches-and-vat" value="<?php echo $cuk_expensefees_options["cuk_freehold_purchase_searches_and_vat"] ? $cuk_expensefees_options["cuk_freehold_purchase_searches_and_vat"] : "0"; ?>"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-freehold-purchase-land-reg-fee">Land Registry search fee </label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-freehold-purchase-land-reg-fee" id="cuk-freehold-purchase-land-reg-fee" value="<?php echo $cuk_expensefees_options["cuk_freehold_purchase_land_reg_fee"] ? $cuk_expensefees_options["cuk_freehold_purchase_land_reg_fee"] : "0"; ?>"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-freehold-purchase-bankruptcy">Land Charges (bankruptcy) search fee (per name) </label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-freehold-purchase-bankruptcy" id="cuk-freehold-purchase-bankruptcy" value="<?php echo $cuk_expensefees_options["cuk_freehold_purchase_bankruptcy"] ? $cuk_expensefees_options["cuk_freehold_purchase_bankruptcy"] : "0"; ?>"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="expense-table">
                    <h3>Leasehold purchase estimate</h3>
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <th scope="row"><label for="cuk-leasehold-purchase-searches-and-vat">Searches and VAT (approx)*</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-leasehold-purchase-searches-and-vat" id="cuk-leasehold-purchase-searches-and-vat" value="<?php echo $cuk_expensefees_options["cuk_leasehold_purchase_searches_and_vat"] ? $cuk_expensefees_options["cuk_leasehold_purchase_searches_and_vat"] : "0"; ?>"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-leasehold-purchase-land-reg-fee">Land Registry search fee</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-leasehold-purchase-land-reg-fee" id="cuk-leasehold-purchase-land-reg-fee" value="<?php echo $cuk_expensefees_options["cuk_leasehold_purchase_land_reg_fee"] ? $cuk_expensefees_options["cuk_leasehold_purchase_land_reg_fee"] : "0"; ?>"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-leasehold-purchase-bankruptcy">Land Charges (bankruptcy) search fee (per name)</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-leasehold-purchase-bankruptcy" id="cuk-leasehold-purchase-bankruptcy" value="<?php echo $cuk_expensefees_options["cuk_leasehold_purchase_bankruptcy"] ? $cuk_expensefees_options["cuk_leasehold_purchase_bankruptcy"] : "0"; ?>"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-leasehold-purchase-transfer-notice-charge">Notice to Freeholder/Landlord of Transfer & Charge (approximate)</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-leasehold-purchase-transfer-notice-charge" id="cuk-leasehold-purchase-transfer-notice-charge" value="<?php echo $cuk_expensefees_options["cuk_leasehold_purchase_transfer_notice_charge"] ? $cuk_expensefees_options["cuk_leasehold_purchase_transfer_notice_charge"] : "0"; ?>"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="expense-table">
                    <h4>Amend the text here for your description of how you set the searches expense</h4>
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <td>
                                    <textarea name="cuk-searches-expense-description" class="large-text" id="cuk-searches-expense-description" rows="10"><?php echo $cuk_expensefees_options["cuk_searches_expense_description"] ? $cuk_expensefees_options["cuk_searches_expense_description"] : ""; ?></textarea>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>

            </div>

            <p class="cuk-text--center">
                <input type="submit" name="save-expense-fees-values" id="save-expense-fees-values" class="button button-primary" value="Save expenses/disbursements">
                <input type="submit" name="reset-expense-fees" value="Reset expenses/disbursements" class="button" style="background-color: #DC3232; color: #fff;">
            </p>
        </form>

        <hr>
        <h2>FEES</h2>
        <p>This section will create two formulae that will calculate your fees based on the property purchase and sale price. Two formulae will be created so that you can have one fee for freehold and another for leasehold properties. We have presumed that you use a sliding scale for your fees; that is, at set increments in property price your fee also goes up in set increments. If you have a table of fees that is not based on a sliding scale please contact us and we can work with you to create your fee structure, for a fee of course 😉</p>

        <form action="" method="POST">
            <div class="fees-tables-wrapper">

                <div class="legal-fees-table">
                    <h3>Freehold Property Legal Fee £</h3>

                    <table class="form-table"><!--- Freehold legal fee values --->
                        <tbody>
                            <tr>
                                <th scope="row"><label for="cuk-startPrice">For property prices equal to or less than</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-freeholdstartPrice" id="cuk-freeholdstartPrice" value="<?php echo $cuk_fees_options["cuk_legal_freeholdstartPrice"] ? $cuk_fees_options["cuk_legal_freeholdstartPrice"] : "0"; ?>" min="0"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-freeholdBasicFee">our fee is</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-freeholdBasicFee" id="cuk-freeholdBasicFee" value="<?php echo $cuk_fees_options["cuk_legal_freeholdBasicFee"] ? $cuk_fees_options["cuk_legal_freeholdBasicFee"] : "0"; ?>" min="0"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-priceIncrease"> then for each increase of property price of</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-freeholdpriceIncrease" id="cuk-freeholdpriceIncrease" value="<?php echo $cuk_fees_options["cuk_legal_freeholdpriceIncrease"] ? $cuk_fees_options["cuk_legal_freeholdpriceIncrease"] : "0"; ?>" min="0"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-feeIncrease">our fee increases by</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-freeholdfeeIncrease" id="cuk-freeholdfeeIncrease" value="<?php echo $cuk_fees_options["cuk_legal_freeholdfeeIncrease"] ? $cuk_fees_options["cuk_legal_freeholdfeeIncrease"] : "0"; ?>" min="0"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                

                <div class="legal-fees-table">
                    <h3>Leasehold Property Legal Fee £</h3>

                    <table class="form-table"><!--- Leasehold legal fee values --->
                        <tbody>
                            <tr>
                                <th scope="row"><label for="cuk-leaseholdstartPrice">For property prices equal to or less than</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-leaseholdstartPrice" id="cuk-leaseholdstartPrice" value="<?php echo $cuk_fees_options["cuk_legal_leaseholdstartPrice"] ? $cuk_fees_options["cuk_legal_leaseholdstartPrice"] : "0"; ?>" min="0"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-leaseholdBasicFee">our fee is </label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-leaseholdBasicFee" id="cuk-leaseholdBasicFee" value="<?php echo $cuk_fees_options["cuk_legal_leaseholdBasicFee"] ? $cuk_fees_options["cuk_legal_leaseholdBasicFee"] : "0"; ?>" min="0"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-leaseholdpriceIncrease">then for each increase of property price of</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-leaseholdpriceIncrease" id="cuk-leaseholdpriceIncrease" value="<?php echo $cuk_fees_options["cuk_legal_leaseholdpriceIncrease"] ? $cuk_fees_options["cuk_legal_leaseholdpriceIncrease"] : "0"; ?>" min="0"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-leaseholdfeeIncrease">our fee increases by</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-leaseholdfeeIncrease" id="cuk-leaseholdfeeIncrease" value="<?php echo $cuk_fees_options["cuk_legal_leaseholdfeeIncrease"] ? $cuk_fees_options["cuk_legal_leaseholdfeeIncrease"] : "0"; ?>" min="0"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="additional-fees-table">
                    <h3>Additional fees £</h3>
                    
                    <table class="form-table"><!--- Additional fees --->
                        <tbody>
                            <tr>
                                <th scope="row"><label for="cuk-sameday-bank-transfer">Fee for <i><u>each</u></i> same day bank transfer</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-sameday-bank-transfer" id="cuk-sameday-bank-transfer" value="<?php echo $cuk_fees_options["cuk_sameday_bank_transfer"] ? $cuk_fees_options["cuk_sameday_bank_transfer"] : "0"; ?>" min="0"></td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="cuk-filestorage-fee">File storage fee</label></th>
                                <td><input type="number" step="0.01" class="cuk-text--right" name="cuk-filestorage-fee" id="cuk-filestorage-fee" value="<?php echo $cuk_fees_options["cuk_filestorage_fee"] ? $cuk_fees_options["cuk_filestorage_fee"] : "0"; ?>" min="0"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                
            </div>
            
            <p class="cuk-text--center">
                <input type="submit" name="save-fees-values" id="save-fees-values" class="button button-primary" value="Save fees">
                <input type="submit" name="reset-fees" value="Reset fees to defaults" class="button" style="background-color: #DC3232; color: #fff;">
            </p>
        </form>

        <hr>
        <h2>Additional inputs</h2>
        <form action="" method="POST">
            <table class="form-table">
                <tbody>
                    <tr>
                        <td><strong><label for="cuk-admin-email">Enter an email for your business that will send an email when the visitor requests their quote be emailed to them. This will allow you to monitor the quotes being emailed and follow-up on them.</strong></label></td>
                    </tr>
                    <tr>
                        <td>
                            <input type="email" name="cuk-admin-email" class="regular-text" id="cuk-admin-email" value="<?php echo $cuk_additional_inputs["cuk_admin_email_recepient"] ? $cuk_additional_inputs["cuk_admin_email_recepient"] : get_bloginfo("admin_email"); ?>" min="0">
                        </td>
                    </tr>
                    <tr>
                        <td><strong>Use the space to promote other legal services you provide that may be associated with the property transaction. You could also use this space to caveat the estimated amount.</strong></th>
                    </tr>
                    <tr>
                        <td>
                            <?php wp_editor(
                                $cuk_additional_inputs["cuk_disclaimer_statement"],
                                "cuk-disclaimer", 
                                array("textarea_rows" => 7)
                            ); ?>
                        </td>
                    </tr>
                    <tr>
                        <td><strong>Use the space to set out your own wording for GDPR consent to an email follow-up.</strong></th>
                    </tr>
                    <tr>
                        <td>
                            <?php wp_editor(
                                $cuk_additional_inputs["cuk_gdpr_statement"],
                                "cuk-GDPR", 
                                array("textarea_rows" => 5)
                            ); ?>
                        </td>
                    </tr>
                </tbody>
            </table>
            <p class="cuk-text--center">
                <input type="submit" name="save-cuk-gdpr" id="save-cuk-gdpr" class="button button-primary" value="Save additional fields">
            </p>
        </form>
        
    </div>